Package io.vertx.rxjava3.openapi.validation

## Class ValidatableRequest

- java.lang.Object
- - io.vertx.rxjava3.openapi.validation.ValidatedRequest
  - - io.vertx.rxjava3.openapi.validation.ValidatableRequest

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class ValidatableRequest
      extends ValidatedRequest
      implements io.vertx.lang.rx.RxDelegate

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<ValidatableRequest>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ValidatableRequest​(ValidatableRequest delegate)` |
    `ValidatableRequest​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getContentType()` |
    `ValidatableRequest` | `getDelegate()` |
    `int` | `hashCode()` |
    `static ValidatableRequest` | `newInstance​(ValidatableRequest arg)` |
    `static Single<ValidatableRequest>` | `of​(HttpServerRequest request, Operation operation)` | Creates a new `ValidatableRequest` object based on the passed and .
    `static Single<ValidatableRequest>` | `rxOf​(HttpServerRequest request, Operation operation)` | Creates a new `ValidatableRequest` object based on the passed and .
    `String` | `toString()` |

    - ### Methods inherited from class io.vertx.rxjava3.openapi.validation.ValidatedRequest

      `getBody, getCookies, getHeaders, getPathParameters, getQuery, newInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ValidatableRequest> __TYPE_ARG

  - ### Constructor Detail

    - #### ValidatableRequest

          public ValidatableRequest​(ValidatableRequest delegate)

    - #### ValidatableRequest

          public ValidatableRequest​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ValidatedRequest`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `ValidatedRequest`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ValidatedRequest`

    - #### getDelegate

          public ValidatableRequest getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `ValidatedRequest`

    - #### of

          public static Single<ValidatableRequest> of​(HttpServerRequest request,
                                                      Operation operation)

      Creates a new `ValidatableRequest` object based on the passed and .
      Parameters:
        `request` - The related request
        `operation` - The related operation
      Returns:
        a `ValidatableRequest` object

    - #### rxOf

          public static Single<ValidatableRequest> rxOf​(HttpServerRequest request,
                                                        Operation operation)

      Creates a new `ValidatableRequest` object based on the passed and .
      Parameters:
        `request` - The related request
        `operation` - The related operation
      Returns:
        a `ValidatableRequest` object

    - #### getContentType

          public String getContentType()

    - #### newInstance

          public static ValidatableRequest newInstance​(ValidatableRequest arg)